diff --git a/src/main/java/net/minecraft/server/net/command/commands/CommandNickname.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandNickname.java
similarity index 99%
rename from src/main/java/net/minecraft/server/net/command/commands/CommandNickname.java
rename to game/server/src/main/java/net/minecraft/server/net/command/commands/CommandNickname.java
index bb529211a..a8d76ccf1 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/CommandNickname.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandNickname.java
@@ -14,7 +14,6 @@ import net.minecraft.core.net.command.CommandSource;
 import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.EntitySelector;
-import net.minecraft.core.net.packet.UpdatePlayerProfilePacket;
 import net.minecraft.server.entity.player.PlayerServer;
 
 import java.util.List;
diff --git a/src/main/java/net/minecraft/server/net/command/commands/CommandOp.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandOp.java
similarity index 97%
rename from src/main/java/net/minecraft/server/net/command/commands/CommandOp.java
rename to game/server/src/main/java/net/minecraft/server/net/command/commands/CommandOp.java
index 237f7afe4..f715de74a 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/CommandOp.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandOp.java
@@ -14,7 +14,6 @@ import net.minecraft.server.net.command.IServerCommandSource;
 import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.EntitySelector;
-import net.minecraft.core.net.packet.UpdatePlayerProfilePacket;
 import net.minecraft.server.MinecraftServer;
 
 import java.util.List;
diff --git a/src/main/java/net/minecraft/server/net/command/commands/CommandScore.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandScore.java
similarity index 98%
rename from src/main/java/net/minecraft/server/net/command/commands/CommandScore.java
rename to game/server/src/main/java/net/minecraft/server/net/command/commands/CommandScore.java
index ed8daa8d8..791928995 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/CommandScore.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandScore.java
@@ -15,7 +15,6 @@ import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 import net.minecraft.core.net.command.util.CommandHelper;
-import net.minecraft.core.net.packet.UpdatePlayerProfilePacket;
 import net.minecraft.server.MinecraftServer;
 
 import java.util.List;
diff --git a/src/main/java/net/minecraft/server/net/handler/PacketHandlerLogin.java b/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerLogin.java
similarity index 81%
rename from src/main/java/net/minecraft/server/net/handler/PacketHandlerLogin.java
rename to game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerLogin.java
index 64b46d22b..c60cd08e7 100644
--- a/src/main/java/net/minecraft/server/net/handler/PacketHandlerLogin.java
+++ b/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerLogin.java
@@ -40,7 +40,7 @@ public class PacketHandlerLogin extends PacketHandler
     private final MinecraftServer mcServer;
     private int loginTimer;
     private String username;
-    private LoginPacket loginPacket;
+    private PacketLogin loginPacket;
     private String serverId;
     public static String kickMessage = null;
 
@@ -84,7 +84,7 @@ public class PacketHandlerLogin extends PacketHandler
         try
         {
             if (!silent) LOGGER.info("Disconnecting {}: {}", getUserAndIPString(), s);
-            netManager.addToSendQueue(new DisconnectPacket(s));
+            netManager.addToSendQueue(new PacketDisconnect(s));
             netManager.serverShutdown();
             finishedProcessing = true;
         }
@@ -95,21 +95,21 @@ public class PacketHandlerLogin extends PacketHandler
     }
 
     @Override
-	public void handleHandshake(PreLoginPacket preLoginPacket)
+	public void handleHandshake(PacketPreLogin preLoginPacket)
     {
         if (mcServer.onlineMode)
         {
             serverId = Long.toHexString(rand.nextLong());
-            netManager.addToSendQueue(new PreLoginPacket(serverId));
+            netManager.addToSendQueue(new PacketPreLogin(serverId));
         }
         else
         {
-            netManager.addToSendQueue(new PreLoginPacket("-"));
+            netManager.addToSendQueue(new PacketPreLogin("-"));
         }
     }
 
     @Override
-	public void handleLogin(LoginPacket loginPacket)
+	public void handleLogin(PacketLogin loginPacket)
     {
         username = loginPacket.username;
         if (loginPacket.playerEntityIdAndProtocolVersion != Global.MP_PROTOCOL_VERSION)
@@ -157,7 +157,7 @@ public class PacketHandlerLogin extends PacketHandler
         }
     }
 
-    public void doLogin(LoginPacket loginPacket)
+    public void doLogin(PacketLogin loginPacket)
     {
         if (mcServer.onlineMode) {
             UUID mojangUUID = UUIDHelper.getUUIDFromName(loginPacket.username);
@@ -181,10 +181,10 @@ public class PacketHandlerLogin extends PacketHandler
             PacketHandlerServer packetHandler = new PacketHandlerServer(mcServer, netManager, player);
             try
             {
-                packetHandler.sendPacket(new LoginPacket("", new UUID(0, 0), player.id, worldserver.getRandomSeed(), (byte) worldserver.dimension.id, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver.dimensionData.getWorldType()), NetworkManager.PACKET_DELAY, RSA.getPublicKey(RSA.RSAKeyChain.getPublic())));
+                packetHandler.sendPacket(new PacketLogin("", new UUID(0, 0), player.id, worldserver.getRandomSeed(), (byte) worldserver.dimension.id, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver.dimensionData.getWorldType()), NetworkManager.PACKET_DELAY, RSA.getPublicKey(RSA.RSAKeyChain.getPublic())));
 
                 Key aesKey = AES.generateKey();
-                packetHandler.sendPacket(new AESSendKeyPacket(RSA.encrypt(AES.getKey(aesKey), RSA.getPublicKey(loginPacket.publicKey))));
+                packetHandler.sendPacket(new PacketAESSendKey(RSA.encrypt(AES.getKey(aesKey), RSA.getPublicKey(loginPacket.publicKey))));
                 AES.keyChain.put(player.username, aesKey);
             }
             catch (Exception e)
@@ -193,37 +193,37 @@ public class PacketHandlerLogin extends PacketHandler
             }
 
             for (RecipeEntryBase<?, ?, ?> recipe : Registries.RECIPES.getAllSerializableRecipes()) {
-                player.playerNetServerHandler.sendPacket(new RecipeSyncPacket(recipe,Registries.RECIPES.getAllSerializableRecipes().size()));
+                player.playerNetServerHandler.sendPacket(new PacketRecipeSync(recipe,Registries.RECIPES.getAllSerializableRecipes().size()));
             }
-            player.playerNetServerHandler.sendPacket(new SyncIDsPacket(SyncIDsPacket.DESTINATION_SOUND_IDS, SoundTypes.getSoundIds()));
-            player.playerNetServerHandler.sendPacket(new SyncIDsPacket(SyncIDsPacket.DESTINATION_ENTITY_IDS, EntityDispatcher.getEntityIds()));
+            player.playerNetServerHandler.sendPacket(new PacketSyncIDs(PacketSyncIDs.DESTINATION_SOUND_IDS, SoundTypes.getSoundIds()));
+            player.playerNetServerHandler.sendPacket(new PacketSyncIDs(PacketSyncIDs.DESTINATION_ENTITY_IDS, EntityDispatcher.getEntityIds()));
 
-            packetHandler.sendPacket(new SetSpawnPositionPacket(chunkcoordinates.x, chunkcoordinates.y, chunkcoordinates.z));
+            packetHandler.sendPacket(new PacketSetSpawnPosition(chunkcoordinates.x, chunkcoordinates.y, chunkcoordinates.z));
             mcServer.playerList.setTime(player, worldserver);
-            mcServer.playerList.sendPacketToAllPlayers(new ChatPacket(TextFormatting.YELLOW + player.getDisplayName() + TextFormatting.YELLOW + " joined the game."));
+            mcServer.playerList.sendPacketToAllPlayers(new PacketChat(TextFormatting.YELLOW + player.getDisplayName() + TextFormatting.YELLOW + " joined the game."));
             mcServer.playerList.updatePlayerProfile(player.username, player.nickname, player.uuid, player.score, player.chatColor, true, player.isOperator());
 
             if (mcServer.joinMessage != null && !mcServer.joinMessage.isEmpty())
             {
-                player.playerNetServerHandler.sendPacket(new ChatPacket(mcServer.joinMessage));
+                player.playerNetServerHandler.sendPacket(new PacketChat(mcServer.joinMessage));
             }
 
             mcServer.playerList.playerLoggedIn(player);
             packetHandler.teleportAndRotate(player.x, player.y, player.z, player.yRot, player.xRot);
             mcServer.networkServer.addPlayer(packetHandler);
-            mcServer.playerList.sendPacketToAllPlayers(new PlayerGamemodePacket(player.id, player.gamemode.getId()));
-            packetHandler.sendPacket(new SetTimePacket(worldserver.getWorldTime()));
+            mcServer.playerList.sendPacketToAllPlayers(new PacketPlayerGamemode(player.id, player.gamemode.getId()));
+            packetHandler.sendPacket(new PacketSetTime(worldserver.getWorldTime()));
             player.setupCraftingInventoryListener();
             if (MinecraftServer.statsStatus)
             {
                 RestHandler.post("https://api.betterthanadventure.net/stats?serverToken=" + MinecraftServer.statsToken + "&count=" + mcServer.playerList.playerEntities.size());
             }
-            player.playerNetServerHandler.sendPacket(new PhotoModePacket(mcServer.disablePhotoMode));
-            player.playerNetServerHandler.sendPacket(new GameRulePacket(mcServer.getDimensionWorld(0).getLevelData().getGameRules()));
-            player.playerNetServerHandler.sendPacket(new CommandManagerPacket(this.mcServer.getDimensionWorld(player.dimension).getCommandManager().getDispatcher(), new ServerCommandSource(this.mcServer, player), "", 0));
-            player.playerNetServerHandler.sendPacket(new SetHeldObjectPacket(player.id, player.getHeldObject()));
-            player.playerNetServerHandler.sendPacket(new SetHotbarOffsetPacket(player.inventory.getHotbarOffset()));
-            player.playerNetServerHandler.sendPacket(new SetCarriedItemPacket(player.inventory.getCurrentItemIndex()));
+            player.playerNetServerHandler.sendPacket(new PacketPhotoMode(mcServer.disablePhotoMode));
+            player.playerNetServerHandler.sendPacket(new PacketGameRule(mcServer.getDimensionWorld(0).getLevelData().getGameRules()));
+            player.playerNetServerHandler.sendPacket(new PacketCommandManager(this.mcServer.getDimensionWorld(player.dimension).getCommandManager().getDispatcher(), new ServerCommandSource(this.mcServer, player), "", 0));
+            player.playerNetServerHandler.sendPacket(new PacketSetHeldObject(player.id, player.getHeldObject()));
+            player.playerNetServerHandler.sendPacket(new PacketSetHotbarOffset(player.inventory.getHotbarOffset()));
+            player.playerNetServerHandler.sendPacket(new PacketSetCarriedItem(player.inventory.getCurrentItemIndex()));
         }
         finishedProcessing = true;
     }
@@ -237,7 +237,7 @@ public class PacketHandlerLogin extends PacketHandler
     }
 
     @Override
-    public void handlePingHandshake(PingHandshakePacket pingHandshakePacket) {
+    public void handlePingHandshake(PacketPingHandshake pingHandshakePacket) {
         String msg = "";
         if (pingHandshakePacket.pingHostString.equals("MC|PingHost")) {
             msg =
@@ -303,7 +303,7 @@ public class PacketHandlerLogin extends PacketHandler
         return packetHandlerLogin.serverId;
     }
 
-    public static LoginPacket setLoginPacket(PacketHandlerLogin packetHandlerLogin, LoginPacket loginPacket)
+    public static PacketLogin setLoginPacket(PacketHandlerLogin packetHandlerLogin, PacketLogin loginPacket)
     {
         return packetHandlerLogin.loginPacket = loginPacket;
     }
